// 定义全局过滤器

const filters = {
    orderStatus: function (value) {
        const orderStatusList = [{name: '待付款', value: 'WAIT_PAYMENT'},
            {name: '待接单', value: 'WAIT_ORDER'},
            {name: '待寄样', value: 'WAIT_SEND'},
            {name: '拍摄中', value: 'SHOOTING'},
            {name: '待验收', value: 'WAIT_CHECK'},
            {name: '已交付', value: 'DELIVERED'},
            {name: '售后中', value: 'AFTER_SALE'},
            {name: '已取消', value: 'CANCELLED'},
            {name: '已退款', value: 'REFUNDED'}
        ]

        const orderItem = orderStatusList.find(item => item.value === value)

        return orderItem ? orderItem.name : ''
    }
}
export default filters

